unit WinAdd;

interface

type
  DWORD = Cardinal;
  UINT_PTR = Cardinal;

  TWaveFormatEx = packed record
    wFormatTag: Word;
    nChannels: Word;
    nSamplesPerSec: DWORD;
    nAvgBytesPerSec: DWORD;
    nBlockAlign: Word;
    wBitsPerSample: Word;
    cbSize: Word;
  end;
  PWaveFormatEx = ^TWaveFormatEx;

const
  WPF_ASYNCWINDOWPLACEMENT = $0004;

  CLEARTYPE_QUALITY = 5;

  // URL moniker errors
  INET_E_RESOURCE_NOT_FOUND = $800c0005;
  INET_E_OBJECT_NOT_FOUND = $800c0006;
  INET_E_DOWNLOAD_FAILURE = $800c0008;

  // wFormatTag IDs
  WAVE_FORMAT_UNKNOWN  = $0000;
  WAVE_FORMAT_PCM = $0001;
  WAVE_FORMAT_ADPCM = $0002;
  WAVE_FORMAT_WMAVOICE9 = $000a;
  WAVE_FORMAT_MPEG = $0050;
  WAVE_FORMAT_MPEGLAYER3 = $0055;
  WAVE_FORMAT_DOLBY_AC3_SPDIF = $0092;
  WAVE_FORMAT_RAW_AAC1 = $00ff;
  WAVE_FORMAT_MSAUDIO1 = $0160;
  WAVE_FORMAT_WMAUDIO2 = $0161;
  WAVE_FORMAT_WMAUDIO3 = $0162;
  WAVE_FORMAT_WMAUDIO_LOSSLESS = $0163;
  WAVE_FORMAT_MPEG_ADTS_AAC = $1600;
  WAVE_FORMAT_DVM = $2000;
  WAVE_FORMAT_OGG_VORBIS_MODE_1 = $674f;
  WAVE_FORMAT_OGG_VORBIS_MODE_2 = $6750;
  WAVE_FORMAT_OGG_VORBIS_MODE_3 = $6751;
  WAVE_FORMAT_OGG_VORBIS_MODE_1_PLUS = $676f;
  WAVE_FORMAT_OGG_VORBIS_MODE_2_PLUS = $6770;
  WAVE_FORMAT_OGG_VORBIS_MODE_3_PLUS = $6771;
  WAVE_FORMAT_OPUS = $704f;
  WAVE_FORMAT_FLAC = $f1ac;

implementation
end.
